-- Telescope

require('telescope').setup {
  extensions = {
    fzf = {
      fuzzy = true,                    -- false will only do exact matching
      override_generic_sorter = true,  -- override the generic sorter
      override_file_sorter = true,     -- override the file sorter
      case_mode = "smart_case",        -- "smart_case", "ignore_case" or "respect_case"
    }
  }
}

require('telescope').load_extension('fzf')

local telescope = require('telescope.builtin')
vim.keymap.set('n', '<leader>ff', telescope.find_files, { remap = false })
vim.keymap.set('n', '<leader>fg', telescope.live_grep, { remap = false })
vim.keymap.set('n', '<leader>fb', telescope.buffers, { remap = false })
vim.keymap.set('n', '<leader>fh', telescope.help_tags, { remap = false })
